<template>
    <div class="confinedSpace">
        <div style="color:rgba(29, 24, 188, 1);font-size: 4.5vw">液氮企业</div>
        <ul>
        <li class="titleLi titleLiLast" >
            <div>
                主要内容：
            </div>
        </li>
        <li class="areaLi">
                      <textarea
                          type="text"
                          placeholder="请填写"
                          rows="5"
                          class="zycpText"
                          v-model="ydqy.liquidNitrogenMain"
                      />
        </li>
        <van-button type="primary" block color="rgba(29, 24, 188, 1)" @click="commit">保存</van-button>
        </ul>
    </div>
</template>

<script>
export default {
    name: 'LiquidNitrogen',
    props: ['faMsg'],
    data() {
        return {
            ydqy: {
                liquidNitrogenMain: ''
            }
        }
    },
    mounted() {
        this.getMsg()
    },
    methods: {
        getMsg() {
            this.ydqy = this.faMsg
        },
        commit() {
            this.$emit('nitrogen', this.ydqy)
        }
    }
}
</script>

<style scoped>

</style>
